:root {
  --primary: #b6895b;
  --bg: #010101;
  --text: #fff;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: "Poppins", sans-serif;
  background-color: var(--bg);
  color: #fff;
}
/* Navbar Section start*/
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 5%;
  background-color: rgba(1, 1, 1, 0.9);
  border-bottom: 1px solid #76583a;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9999;
}
.navbar .navbar-logo {
  font-size: 2.1rem;
  font-weight: 700;
  color: #fff;
  font-style: italic;
}
.navbar .navbar-logo span {
  color: var(--primary);
}
.navbar .navbar-nav a {
  color: #fff;
  display: inline-block;
  font-size: 1.3rem;
  margin: 0 1rem;
}
.navbar .navbar-nav a:hover {
  color: var(--primary);
}
.navbar .navbar-nav a::after {
  content: "";
  display: block;
  padding-bottom: 0.5rem;
  border-bottom: 0.1rem solid var(--primary);
  transform: scaleX(0);
  transition: 0.2s linear;
}
.navbar .navbar-nav a:hover::after {
  transform: scaleX(0.5);
}
.navbar .navbar-extra a:hover {
  color: var(--primary);
}
#hamburger-menu {
  display: none;
}
.navbar .widget {
  height: 3.5rem;
  width: 17rem;
  background-color: #0db821;
  bottom: 8vh;
  border-radius: 1rem;
  position: fixed;
  right: 10%;
  cursor: pointer;
}
.navbar .widget a {
  width: 100%;
  height: 100%;
  align-items: center;
  display: flex;
  justify-content: center;
  transition: 0.3s;
}
.navbar .widget img {
  padding: 5px;
  width: 40px;
  height: 40px;
}
.navbar .widget p {
  font-size: 1.3rem;
  color: #fff;

  font-weight: 700;
  text-shadow: 1px 1px 3px rgba(1, 1, 3, 1);
}
/* Hero Section start*/
.hero {
  position: relative;
  min-height: 100vh;
  display: flex;
  align-items: center;
  padding: 0 7%;
  box-shadow: 0 10px 30px;
  overflow: hidden;
}
.hero-image {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(1.2);
  filter: brightness(0.6);
  z-index: -2;
}
.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.1) 0%,
    rgba(0, 0, 0, 0.3)
  );
  z-index: -1;
}
.hero .content {
  padding: 1.4rem 2%;
  max-width: 50rem;
}
.hero .content h1 {
  font-size: 2.2rem;
  color: #fc9024;
  text-align: center;
  text-shadow: 1px 1px 3px rgba(12, 9, 1, 10);
  line-height: 1.2;
}
.hero .content p {
  font-size: 1.15rem;
  margin-top: 1rem;
  text-align: center;
  font-weight: bold;
  color: #070f5c;
  background-color: #b6895b;
  padding: 0.5rem;
  border-radius: 15px;
}
.hero a {
  display: block;
  width: max-content;
  margin: 1.5rem auto 0;
  padding: 1rem 1.8rem;
  background-color: #88bdf2;
  color: #384959;
  font-size: 1.3rem;
  font-weight: 700;
  box-shadow: #011222 0px 5px 20px;
  border-radius: 8px;
}
/* About section start*/
.about,
.layanan,
.contact,
.artikel {
  padding: 6rem 5% 1.4rem;
}
.about h2,
.layanan h2,
.contact h2,
.galeri h2,
.artikel h2 {
  color: var(--text);
  text-align: center;
  font-size: 2rem;
  margin-bottom: 3rem;
}
.about h2 span,
.layanan h2 span,
.contact h2 span,
.galeri h2 span,
.artikel h2 span {
  color: var(--primary);
}
.about .row {
  display: flex;
}
.about .row .about-img {
  flex: 1 1 25rem;
}
.about .row .about-img img {
  width: 450px;
  height: 295px;
  border-radius: 1rem;
}
.about .row .content {
  flex: 1 1 50rem;
  padding: 0 1rem;
}
.about .row .content h3 {
  font-size: 1.5rem;
  margin-bottom: 1rem;
}
.about .row .content p {
  margin-bottom: 0.8rem;
  font-size: 1.1rem;
  font-weight: 300;
  list-style: none;
  line-height: 2.1rem;
}
/* Layanan Kami start*/
.layanan h2 {
  margin-bottom: 1rem;
}
.layanan p,
.contact p {
  text-align: center;
  max-width: 50rem;
  margin: auto;
  font-size: 1.3rem;
  font-weight: 300;
  line-height: 2.1rem;
}
.layanan .row {
  display: flex;
  flex-wrap: wrap;
  margin-top: 5rem;
  justify-content: center;
}
.layanan .row .barang {
  padding-bottom: 2rem;
  padding: 0 1% 2rem;
}
.layanan .row .barang img {
  border-radius: 2rem;
  width: 250px;
  height: 175px;
  margin-bottom: 0.8rem;
  transition: 0.3s;
}
.layanan .row .barang img:hover,
.galeri .row img:hover {
  transform: translateY(-10px);
  box-shadow: 0 10px 30px rgba(252, 251, 251, 0.363);
}
.layanan .row .barang .judul-barang {
  margin-top: 1rem auto 0.5rem;
  font-size: 1rem;
  text-align: center;
}
.area h3 {
  font-size: 1.4rem;
  margin: 20px 0 10px;
  color: #eea60a;
}
.area ul li {
  margin: 5px;
}
.area ul {
  margin: 0 30px;
}
.cta:hover,
.navbar .widget:hover {
  box-shadow: 0 0 1rem #0db821;
}
.layanan h2 {
  color: #b6895b;
}

.counter-section {
  display: grid;
  margin-top: 10px;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 20px;
  padding: 5% 5%;
  background: #0d6efd;
  border-radius: 10px;
  color: white;
  box-shadow: 0 5px 30px rgba(252, 251, 251, 0.363);
}
.counter-section h2 {
  text-align: center;
  font-size: rem;
  margin-bottom: 1rem;
}
.counter-box {
  background-color: #2b358d;
  padding: 10px;
  border-radius: 10px;
}

.counter-box h2 {
  font-size: 40px;
  margin-bottom: 5px;
}
/* Galeri Section start*/
.galeri {
  padding: 6rem 5% 1.4rem;
}
.galeri .row {
  display: flex;
  flex-wrap: wrap;
  padding: 1rem 7%;
  justify-content: center;
  align-items: center;
}
.galeri .row img {
  cursor: pointer;
  margin: 0.5rem;
  height: 250px;
  width: 250px;
  border-radius: 2rem;
  object-fit: cover;
  transition: 0.3s;
}

/* Artikel */
body {
  font-family: Arial, sans-serif;
  line-height: 1.6;
  margin: 20px;
}
h1,
h2 {
  color: #1a1a1a;
}
.cta {
  background: green;
  color: white;
  padding: 15px;
  display: inline-block;
  border-radius: 8px;
  text-decoration: none;
  margin-top: 15px;
}
.box {
  background: #f4f4f4;
  padding: 15px;
  margin: 50px 0;
}

.container {
  max-width: 1100px;
  margin: auto;
  padding: 40px 20px;
}
.container h3 {
  color: #010101;
}
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
}
.card {
  background: white;
  padding: 25px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.card a {
  text-decoration: none;
  color: #050f63;
  font-weight: bold;
}
/* testimoni Section */
.testimonial-section {
  padding: 70px 20px;
  background: #f7f7f7;
  text-align: center;
}

.testimonial-slider {
  max-width: 600px;
  margin: auto;
  position: relative;
}
.testimonial-card p {
  color: var(--primary);
}
.testimonial-card h3 {
  color: var(--bg);
}
.testimonial-card {
  display: none;
  background: white;
  padding: 30px;
  border-radius: 10px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
  animation: fade 0.6s;
}

.testimonial-card.active {
  display: block;
}

.photo {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  margin-bottom: 10px;
  object-fit: cover;
}
.review {
  font-size: 15px;
  margin-bottom: 15px;
}

.stars {
  color: #ffc107;
  font-size: 18px;
  margin-top: 5px;
}
.controls button {
  padding: 10px 18px;
  margin: 10px;
  font-size: 18px;
  cursor: pointer;
  border: none;
  background: #0d6efd;
  color: white;
  border-radius: 5px;
}

.controls button:hover {
  background: #0b5ed7;
}

.dots {
  margin-top: 15px;
}

.dot {
  height: 12px;
  width: 12px;
  margin: 5px;
  display: inline-block;
  background: #bbb;
  border-radius: 50%;
  cursor: pointer;
}

.dot.active {
  background: #0d6efd;
}

@keyframes fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
/* Pop Up Review Section */
.review-popup {
  display: none;
  position: fixed;
  bottom: 30px;
  left: 3%;
  background: #88bdf2;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.2);
  max-width: 300px;
  color: black;
  z-index: 999;
}

.close {
  cursor: pointer;
  float: right;
  font-size: 20px;
}
/* Kontak Section */
.contact .row {
  display: flex;
  margin-top: 2rem;
  background-color: #222;
  padding: 1%;
}
.contact .row .map {
  flex-wrap: wrap;
  width: 100%;
  height: 300px;
  border-radius: 0.5rem;
  object-fit: cover;
}
.contact .row .akun-sosmed {
  padding: 1rem 2%;
  min-height: 250px;
  width: 100%;
}
.contact .row h3 {
  font-size: 2rem;
  margin-bottom: 1rem;
  text-align: center;
}
.contact .row h3 span {
  color: var(--primary);
}
.contact .row .ul-akun {
  min-height: 50px;
  width: 100%;
  display: flex;
  align-items: center;
}
.contact .row .ul-akun img {
  width: 30px;
  height: 30px;
}
.contact .row .ul-akun p {
  font-size: 1.1rem;
  font-weight: 500;
  margin-left: 2%;
  text-align: left;
}

/* Footer */
footer {
  background-color: var(--primary);
  text-align: center;
  padding: 1rem 0 2rem;
  margin-top: 3rem;
}
footer .links a:hover {
  color: #fff;
}
footer .links {
  margin-bottom: 1.4rem;
}
footer .links a {
  color: var(--bg);
  font-size: 1.2rem;
  font-weight: 700;
  padding: 0.7rem 0.5rem;
}
footer .credit a {
  color: #050f63;
  font-size: 1.2rem;
  font-weight: 700;
}
footer .credit p {
  font-weight: 700;
  color: var(--bg);
  font-size: 1rem;
}
/* Media Queries */
/* Laptop */
@media (max-width: 1366px) {
  html {
    font-size: 75%;
  }
}
/* Tablet */
@media (max-width: 768px) {
  html {
    font-size: 75%;
  }
  #hamburger-menu {
    display: inline-block;
  }
  .navbar .navbar-nav {
    position: absolute;
    top: 100%;
    right: -100%;
    background-color: #fff;
    width: 15rem;
    max-height: 100vh;
    transition: 0.3s;
  }
  .navbar .navbar-nav.active {
    right: 0;
  }
  .navbar .navbar-nav a {
    color: var(--bg);
    display: block;
    margin: 1.5rem;
    padding: 0.5rem;
    font-size: 1.6rem;
  }
  .navbar .navbar-nav a::after {
    transform-origin: 0 0;
  }
  .navbar .navbar-nav a:hover::after {
    transform: scaleX(0.2);
  }
  .about .row,
  .contact .row,
  .artikel .row {
    flex-wrap: wrap;
  }
  .about .row .about-img img {
    width: 100%;
    height: 80%;
    object-fit: cover;
    object-position: center;
  }
  .about .row .content {
    padding: 0;
  }
  .about .row .content h3 {
    margin-top: 1rem;
    font-size: 2rem;
  }
  .about .row .content p,
  .layanan p {
    font-size: 1.3rem;
  }
  .contact .row .map {
    height: 30rem;
  }
  .contact .row form {
    padding: 0.2rem;
  }
  .galeri .row {
    padding: 2rem 0%;
  }
  .contact .row .ul-akun img {
    width: 35px;
    height: 35px;
  }
  .navbar .navbar-extra img {
    height: 60px;
    width: 60px;
  }
}
/* Mobile Phone */
@media (max-width: 450px) {
  html {
    font-size: 80%;
  }
}
